org.bdgenomics.adam.rdd.read

# AnySAMInFormatter

#### trait AnySAMInFormatter[T <: AnySAMInFormatter[T]] extends InFormatter[AlignmentRecord, AlignmentRecordRDD, T]

A trait that writes reads using an Htsjdk SAMFileWriter.

T

  The recursive type of the class that implements this trait.

Linear Supertypes
InFormatter[AlignmentRecord, AlignmentRecordRDD, T], Serializable, Serializable, AnyRef, Any
Known Subclasses
BAMInFormatter, SAMInFormatter
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. AnySAMInFormatter
2. InFormatter
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract val companion: InFormatterCompanion[AlignmentRecord, AlignmentRecordRDD, T]

   Attributes
     protected
   Definition Classes
     InFormatter

2. #### abstract val converter: AlignmentRecordConverter

   A converter from AlignmentRecord to SAMRecord.

3. #### abstract val header: SAMFileHeaderWritable

   A serializable form of the SAM File Header.

4. #### abstract def makeWriter(os: OutputStream): SAMFileWriter

   Attributes
     protected

5. #### abstract val recordGroups: RecordGroupDictionary

   A dictionary describing the read groups these reads are from.

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

18. #### def toString(): String

    Definition Classes
      AnyRef → Any

19. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### def write(os: OutputStream, iter: Iterator[AlignmentRecord]): Unit

    Writes alignment records to an output stream in SAM format.

    Writes alignment records to an output stream in SAM format.

    os

      An OutputStream connected to a process we are piping to.

    iter

      An iterator of records to write.

    Definition Classes
      AnySAMInFormatter → InFormatter

### Inherited from InFormatter[AlignmentRecord, AlignmentRecordRDD, T]

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped